SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] Aggiornamenti software impossibili in Ubuntu Mate
#1
Ciao a tutti.
Ho cambiato stampante (una Brother MFC-1910W) e, non riuscendo a installarla in PCLinux, sono tornato ad usare Ubuntu Mate, dato che con i pacchetti deb sul sito Brother non ci sono problemi.
Ora però sto notando che il sistema non si aggiorna, eppure ho una lista lunghissima di aggiornamenti disponibili.
Provando ad aggiornare ottengo, dopo lo scarico dei pacchetti, questo messaggio:

Estrazione dei template dai pacchetti: 100%
Preconfigurazione dei pacchetti in corso
setting xserver-xorg-legacy/xwrapper/allowed_users from configuration file
dpkg: errore: analisi del file "/var/lib/dpkg/status" vicino alla riga 37649:
nome del pacchetto non valido (deve iniziare con un carattere alfanumerico)
E: Sub-process /usr/bin/dpkg returned an error code (2)
Installazione di un pacchetto non riuscita. Tentativo di ripristino:
dpkg: errore: analisi del file "/var/lib/dpkg/status" vicino alla riga 37649:
nome del pacchetto non valido (deve iniziare con un carattere alfanumerico)

Cosa devo fare? Grazie dell'aiuto.

P.S.: se qualcuno mi sa dare una mano con i pacchetti .rpm e la stampante torno volentieri a PCLinux o a Opensuse.
PCLinuxOS Mate 64 bit
Cita messaggio
Grazie da:
#2
Proviamo a vedere la linea incriminata, posta
Codice:
cat /var/lib/dpkg/status | head -37649 | tail -1

Vediamo se è possibile correggerla a mano.
Cita messaggio
Grazie da:
#3
Package: `luez-obexd
PCLinuxOS Mate 64 bit
Cita messaggio
Grazie da:
#4
Citazione:Package: `luez-obexd

Eccolo lì, nel nome del pacchetto un " ' " (apostrofo) invece di una " b ". Chissà come ci è finito.
Stai usando Mate, quindi dai
Codice:
sudo pluma /var/lib/dpkg/status
ed al file che si apre individui la riga 37649 e la fai diventare
Codice:
Package: bluez-obexd
salvi, e ritenta l'aggiornamento - dovrebbe andare a buon fine se non saltano fuori altri errori.
Cita messaggio
Grazie da:
#5
Fatto, ma mi dava ancora errori vicino alla linea 45788.
Rifatta tutta la procedura. A quella linea c'erano ancora due o tre 'luez.
Corretti in bluez gli aggiornamenti sono andati tutti a buon fine.

GRAZIE ;-D
PCLinuxOS Mate 64 bit
Cita messaggio
Grazie da:


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)